org.apache.solr.common.cloud

## Interface ZkOperation<T>

    public interface ZkOperation<T>

A callback object which can be used for implementing retry-able operations.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `execute()` Performs the operation - which may be involved multiple times if the connection to ZooKeeper closes during this operation

### Method Detail

#### execute

    T execute()
       throws org.apache.zookeeper.KeeperException,
              InterruptedException

Performs the operation - which may be involved multiple times if the connection to ZooKeeper closes during this operation

Returns:
  the result of the operation or null
Throws:
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`